org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class AggregateTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.AggregateTest

- Direct Known Subclasses:
    AggregateTest.Traversals

      public abstract class AggregateTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AggregateTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_aggregateXlocal_a_nameX_out_capXaX()`
    `void` | `g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX()`
    `void` | `g_V_aggregateXxX_byXnameX_capXxX()`
    `void` | `g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX()`
    `void` | `g_V_out_aggregateXaX_path()`
    `void` | `g_V_valueXnameX_aggregateXglobal_xX_capXxX()`
    `void` | `g_V_valueXnameX_aggregateXxX_capXxX()`
    `void` | `g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX()`
    `void` | `g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX()`
    `abstract Traversal<Vertex,Collection>` | `get_g_V_aggregateXlocal_aX_byXnameX_out_capXaX()`
    `abstract Traversal<Vertex,Collection>` | `get_g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX_capXaX()`
    `abstract Traversal<Vertex,List<String>>` | `get_g_V_aggregateXxX_byXnameX_capXxX()`
    `abstract Traversal<Vertex,Collection<Integer>>` | `get_g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX()`
    `abstract Traversal<Vertex,List<String>>` | `get_g_V_name_aggregateXglobal_xX_capXxX()`
    `abstract Traversal<Vertex,List<String>>` | `get_g_V_name_aggregateXxX_capXxX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_out_aggregateXaX_path()`
    `abstract Traversal<Vertex,Collection>` | `get_g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX(Object v1Id)`
    `abstract Traversal<Vertex,Set<String>>` | `get_g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateTest

          public AggregateTest()

  - ### Method Detail

    - #### get_g_V_name_aggregateXglobal_xX_capXxX

          public abstract Traversal<Vertex,List<String>> get_g_V_name_aggregateXglobal_xX_capXxX()

    - #### get_g_V_name_aggregateXxX_capXxX

          public abstract Traversal<Vertex,List<String>> get_g_V_name_aggregateXxX_capXxX()

    - #### get_g_V_aggregateXxX_byXnameX_capXxX

          public abstract Traversal<Vertex,List<String>> get_g_V_aggregateXxX_byXnameX_capXxX()

    - #### get_g_V_out_aggregateXaX_path

          public abstract Traversal<Vertex,Path> get_g_V_out_aggregateXaX_path()

    - #### get_g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX

          public abstract Traversal<Vertex,Collection<Integer>> get_g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX()

    - #### get_g_V_aggregateXlocal_aX_byXnameX_out_capXaX

          public abstract Traversal<Vertex,Collection> get_g_V_aggregateXlocal_aX_byXnameX_out_capXaX()

    - #### get_g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX

          public abstract Traversal<Vertex,Collection> get_g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX(Object v1Id)

    - #### get_g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX

          public abstract Traversal<Vertex,Set<String>> get_g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX()

    - #### get_g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX_capXaX

          public abstract Traversal<Vertex,Collection> get_g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX_capXaX()

    - #### g_V_valueXnameX_aggregateXglobal_xX_capXxX

          public void g_V_valueXnameX_aggregateXglobal_xX_capXxX()

    - #### g_V_valueXnameX_aggregateXxX_capXxX

          public void g_V_valueXnameX_aggregateXxX_capXxX()

    - #### g_V_aggregateXxX_byXnameX_capXxX

          public void g_V_aggregateXxX_byXnameX_capXxX()

    - #### g_V_out_aggregateXaX_path

          public void g_V_out_aggregateXaX_path()

    - #### g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX

          public void g_V_hasLabelXpersonX_aggregateXxX_byXageX_capXxX_asXyX_selectXyX()

    - #### g_V_aggregateXlocal_a_nameX_out_capXaX

          public void g_V_aggregateXlocal_a_nameX_out_capXaX()

    - #### g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX

          public void g_VX1X_aggregateXlocal_aX_byXnameX_out_aggregateXlocal_aX_byXnameX_name_capXaX()

    - #### g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX

          public void g_withSideEffectXa_setX_V_both_name_aggregateXlocal_aX_capXaX()

    - #### g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX

          public void g_V_aggregateXlocal_aX_byXoutEXcreatedX_countX_out_out_aggregateXlocal_aX_byXinEXcreatedX_weight_sumX()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.